Download it now!
Bug 133990 - CRASH: Undoing table deletion
Summary: CRASH: Undoing table deletion
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2 all versions
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-06-14 20:37 UTC by Xisco Faulí
Modified: 2020-06-24 10:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-06-14 20:37:41 UTC
Steps to reproduce:
1. Open attachment 74808 [details] from bug 60838
2. Use Select all 3 times
3. Delete
4. Undo

-> Crash

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: ff508f6d8a3e58d29e9e7622006a7103fb0a2849
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-06-14 20:38:59 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=68880a3004623553bf1920ad8a4a4d2be4bca234

author	Michael Stahl <Michael.Stahl@cib.de>	2018-11-16 10:32:07 +0100
committer	Michael Stahl <Michael.Stahl@cib.de>	2018-11-16 12:23:00 +0100
commit	68880a3004623553bf1920ad8a4a4d2be4bca234 (patch)
tree	79d304985973abd4e7a1bfd5c41a333ea56d5c6f
parent	5edc23dbc53773536265fd6a54319d9cd1cd9e99 (diff)
tdf#121031 sw_redlinehide: fix SwUndoDelete of table: create table frames

Bisected with: bibisect-linux64-6.2

Adding Cc: to Michael Stahl
Comment 2 Commit Notification 2020-06-18 18:19:15 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/57d488660572d62ef0371e50dcdd4ca7a6d98a14

tdf#133990 sw_redlinehide: fix Undo with section before table

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Stahl (CIB) 2020-06-18 18:19:57 UTC
fixed on master
Comment 4 Commit Notification 2020-06-19 08:31:11 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/a12b3da27613bfac7adeb6b847027e82c6649d5b

tdf#133990 sw_redlinehide: fix Undo with section before table

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-06-19 10:24:41 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 6bbc740b72f1629c82440b3b4f09849d3d49c01a
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!
Comment 6 Commit Notification 2020-06-19 14:02:02 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8e4c79472644452431381733a5e4b21f98fcdcf3

tdf#133990: sw: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-06-19 23:26:34 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/1d58ce59eb1ce7c9921a6827077349a9da315f78

tdf#133990 sw_redlinehide: fix Undo with section before table

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-06-24 10:24:54 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-5":

https://git.libreoffice.org/core/commit/1532a477553ef87dd34693fad50028d6813d5007

tdf#133990 sw_redlinehide: fix Undo with section before table

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.